func void ZS_CatchThief ()
{
	if (!Npc_GetAttitude(self,other) == ATT_FRIENDLY)
	{
		B_Say (self,"$StopThief");
		if (Npc_GetAttitude(self,victim) == ATT_FRIENDLY && Npc_GetAttitude(self,other) == ATT_ANGRY)
		{
			Npc_SetTempAttitude (self,ATT_HOSTILE);
		};
	};
		
};
